Skip to content

upsertDocumentTemplate

WRITE

Upsert document template.

POST /api/v1/settings/upsertDocumentTemplate
curl -X POST '<your-host>/api/v1/settings/upsertDocumentTemplate' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "documentType": "string",
    "blocks": [],
    "theme": "string",
    "settings": "string",
    "headerSectionId": "string",
    "footerSectionId": "string"
  }'

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "documentType": {},
    "blocks": {
      "type": "array",
      "items": {}
    },
    "theme": {},
    "settings": {},
    "headerSectionId": {
      "type": [
        "string",
        "null"
      ]
    },
    "footerSectionId": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "documentType",
    "blocks",
    "theme",
    "settings",
    "headerSectionId",
    "footerSectionId"
  ]
}